## plymouth-kcm 5.12.4

=== CMakeLists.txt ===
project(plymouthkcm)

cmake_minimum_required(VERSION 2.8.12)
set(KF5_MIN_VERSION "5.29.0")
set(QT_MIN_VERSION "5.5.0")

################# Disallow in-source build #################

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "plymouthkcm requires an out of source build. Please create a separate build directory and run 'cmake path_to_kirigami [options]' there.")
endif()



# Make CPack available to easy generate binary packages
include(CPack)
include(FeatureSummary)

################# set KDE specific information #################

set(PROJECT_VERSION "5.12.4")
set(PROJECT_VERSION_MAJOR 5)

find_package(ECM 0.0.8 REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui )

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
                    Archive NewStuff NewStuffCore KIO Declarative I18n Config ConfigWidgets)

################# Enable C++11 features for clang and gcc #################

if(UNIX)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -std=c++0x")
endif()

################# now find all used packages #################

set (QT_MIN_VERSION "5.5.0")

find_package(Plymouth REQUIRED)
#########################################################################

add_subdirectory(src)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)


find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== src/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_plymouth\")

SET(PLYMOUTH_THEMES_DIR "/usr/share/plymouth/themes/" CACHE STRING "Where Plymouth themes are installed")
SET(PLYMOUTH_CONFIG_PATH "/etc/plymouth/plymouthd.conf" CACHE STRING "where the main plymouth config file is")
set(PLYMOUNT_KCM_VERSION ${PROJECT_VERSION})
configure_file (config-kcm.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kcm.h )

set(kcm_plymouth_SRCS
  kcm.cpp
)

add_library(kcm_plymouth MODULE ${kcm_plymouth_SRCS})

target_link_libraries(kcm_plymouth
  KF5::CoreAddons
  KF5::Auth
  KF5::I18n
  KF5::Declarative
  KF5::QuickAddons
  KF5::NewStuff
  KF5::NewStuffCore
  KF5::ConfigCore
  KF5::KIOCore

  Qt5::Widgets
  ${X11_LIBRARIES}
)

kcoreaddons_desktop_to_json(kcm_plymouth "kcm_plymouth.desktop" SERVICE_TYPES kcmodule.desktop)

#this desktop file is installed only for retrocompatibility with sycoca
install(FILES kcm_plymouth.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS kcm_plymouth DESTINATION ${PLUGIN_INSTALL_DIR}/kcms)
install(FILES plymouth.knsrc DESTINATION ${KDE_INSTALL_CONFDIR})

kpackage_install_package(package kcm_plymouth kcms)

#installer tool for knewstuff
add_executable(kplymouththemeinstaller
    kplymouththemeinstaller.cpp
)

target_link_libraries(kplymouththemeinstaller
    KF5::I18n
    KF5::Auth
    KF5::CoreAddons
    KF5::Archive
    KF5::ConfigCore)
install(TARGETS kplymouththemeinstaller ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

#polkit stuff
add_executable(plymouthhelper helper.cpp ${helper_mocs})
target_link_libraries(plymouthhelper
    KF5::Archive
    KF5::Auth
    KF5::ConfigCore
    KF5::I18n)
install(TARGETS plymouthhelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
kauth_install_helper_files(plymouthhelper org.kde.kcontrol.kcmplymouth root)
kauth_install_actions(org.kde.kcontrol.kcmplymouth kcmplymouth_actions.actions)

## plymouth-kcm 5.10.4

=== debian/changelog ===
plymouth-kcm (5.10.4-0ubuntu1) artful; urgency=medium

  [ Harald Sitter ]
  * Initial release.

  [ Rik Mills ]
  * Update VCS fields
  * Add build dep on libplymouth-dev
  * New upstream release (5.9.95)
  * New upstream release (5.9.95)
  * New upstream release (5.10.0)
  * New upstream release (5.10.1)
  * New upstream release (5.10.2)
  * New upstream release (5.10.3)
  * New upstream release (5.10.4)
  * Bump standards version
  * Initial upload to ubuntu; closes (LP: #1705240)

  [ Clive Johnston ]
  * Update copyright file

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Aug 2017 22:40:17 +0100

=== debian/control ===
Source: plymouth-kcm
Section: kde
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.36.0~),
               libkf5archive-dev (>= 5.36.0~),
               libkf5config-dev (>= 5.36.0~),
               libkf5configwidgets-dev (>= 5.36.0~),
               libkf5crash-dev (>= 5.36.0~),
               libkf5declarative-dev (>= 5.36.0~),
               libkf5i18n-dev (>= 5.36.0~),
               libkf5kcmutils-dev (>= 5.36.0~),
               libkf5newstuff-dev (>= 5.36.0~),
               libplymouth-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.5.0~)
Standards-Version: 4.0.0
Homepage: https://www.kde.org
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plymouth-kcm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plymouth-kcm

Package: kde-config-plymouth
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-kquickcontrolsaddons,
         ${misc:Depends},
         ${shlibs:Depends}
Description: KCM for Plymouth
 KDE systemsettings module to manage plymouth theming.

## plymouth-kcm 5.12.1

=== debian/changelog ===
plymouth-kcm (5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:09:08 +0100

plymouth-kcm (5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:56 +0100

plymouth-kcm (5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:21:11 +0100

plymouth-kcm (5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:21 -0300

plymouth-kcm (5.10.5-1) experimental; urgency=medium

  * Initial Debian release
  * Update copyright information
  * Add upstream metadata
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:29:10 +0200

plymouth-kcm (5.10.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 27 Jun 2017 12:11:26 +0000

plymouth-kcm (5.10.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Jun 2017 22:14:14 +0000

plymouth-kcm (5.10.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2017 17:31:52 +0000

plymouth-kcm (5.10.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 30 May 2017 17:11:11 +0000

=== debian/control ===
Source: plymouth-kcm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.18.0~),
               libkf5archive-dev (>= 5.29.0~),
               libkf5config-dev (>= 5.29.0~),
               libkf5configwidgets-dev (>= 5.29.0~),
               libkf5crash-dev (>= 5.18.0~),
               libkf5declarative-dev (>= 5.29.0~),
               libkf5i18n-dev (>= 5.29.0~),
               libkf5kcmutils-dev (>= 5.18.0~),
               libkf5kio-dev (>= 5.29.0~),
               libkf5newstuff-dev (>= 5.29.0~),
               libplymouth-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.5.0~),
               qtdeclarative5-dev (>= 5.5.0~),
Standards-Version: 4.1.3
Homepage: https://www.kde.org
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plymouth-kcm.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plymouth-kcm

Package: kde-config-plymouth
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-kquickcontrolsaddons,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM for Plymouth
 KDE systemsettings module to manage plymouth theming.

## plymouth-kcm 5.12.4

=== debian/changelog ===
plymouth-kcm (5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:56:10 +0100

plymouth-kcm (5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:50:23 +0000

plymouth-kcm (5.12.2-0ubuntu1) bionic; urgency=medium

  * Re-order debian/copyright as prompted by lintian
  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:43:58 +0000

plymouth-kcm (5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:14:00 +0000

plymouth-kcm (5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:51:27 +0000

plymouth-kcm (5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:40:13 +0000

plymouth-kcm (5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:16:54 -0600

plymouth-kcm (5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * Package priority 'extra' is depreciated in favour of 'optional'
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:59:34 +0000

=== debian/control ===
Source: plymouth-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.42.0~),
               libkf5archive-dev (>= 5.42.0~),
               libkf5config-dev (>= 5.42.0~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5crash-dev (>= 5.42.0~),
               libkf5declarative-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5kcmutils-dev (>= 5.42.0~),
               libkf5newstuff-dev (>= 5.42.0~),
               libplymouth-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.5.0~)
Standards-Version: 4.0.0
Homepage: https://www.kde.org
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plymouth-kcm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plymouth-kcm

Package: kde-config-plymouth
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-kquickcontrolsaddons,
         ${misc:Depends},
         ${shlibs:Depends}
Description: KCM for Plymouth
 KDE systemsettings module to manage plymouth theming.

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/plymouth-kcm-([\d.]+)\.tar\.xz

## plymouth-kcm 5.12.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 ################# set KDE specific information #################
 
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.8")
 set(PROJECT_VERSION_MAJOR 5)
 
 find_package(ECM 0.0.8 REQUIRED NO_MODULE)

=== debian/changelog ===
plymouth-kcm (5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:40:37 +0100

plymouth-kcm (5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:56:20 +0100

plymouth-kcm (5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:29:51 +0100

plymouth-kcm (5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:35:12 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libplymouth-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.5.0~)
+               qtbase5-dev (>= 5.5.0~),
 Standards-Version: 4.0.0
 Homepage: https://www.kde.org
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plymouth-kcm

## plymouth-kcm 5.13.5

=== debian/changelog ===
plymouth-kcm (5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:35:58 +0100

plymouth-kcm (5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/comtrol: Bumped Frameworks build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 28 Aug 2018 09:32:04 +0100

plymouth-kcm (5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:23 +0200

plymouth-kcm (5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:43:54 +0100

plymouth-kcm (5.13.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:27:04 +0100

plymouth-kcm (5.13.1-1) unstable; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:26 +0200

plymouth-kcm (5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:32:16 +0100

plymouth-kcm (5.12.5-0ubuntu2) cosmic; urgency=medium

  * Rebuild against kauth 5.47, for altered kauth helper binary
    installation paths

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 20:20:16 +0100

plymouth-kcm (5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:25:16 +0100

=== debian/control ===
Source: plymouth-kcm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.42.0~),
               libkf5archive-dev (>= 5.42.0~),
               libkf5config-dev (>= 5.42.0~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5crash-dev (>= 5.42.0~),
               libkf5declarative-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5kcmutils-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5newstuff-dev (>= 5.42.0~),
               libplymouth-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.5.0~),
               qtdeclarative5-dev (>= 5.5.0~),
Standards-Version: 4.1.3
Homepage: https://www.kde.org
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plymouth-kcm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plymouth-kcm

Package: kde-config-plymouth
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-kquickcontrolsaddons,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM for Plymouth
 KDE systemsettings module to manage plymouth theming.

## plymouth-kcm 5.14.5

=== debian/changelog ===
plymouth-kcm (5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:26:13 -0300

plymouth-kcm (5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:51:10 -0300

## plymouth-kcm 5.14.5.1+rb2

=== debian/changelog ===
plymouth-kcm (5.14.5.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 29 Jan 2021 09:29:35 +0800

=== debian/control ===
Source: plymouth-kcm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               libkf5archive-dev (>= 5.50.0~),
               libkf5config-dev (>= 5.50.0~),
               libkf5configwidgets-dev (>= 5.50.0~),
               libkf5crash-dev (>= 5.18.0~),
               libkf5declarative-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5kcmutils-dev (>= 5.18.0~),
               libkf5kio-dev (>= 5.50.0~),
               libkf5newstuff-dev (>= 5.50.0~),
               libplymouth-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
Standards-Version: 4.1.3
Homepage: https://www.kde.org
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plymouth-kcm.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plymouth-kcm

Package: kde-config-plymouth
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-kquickcontrolsaddons,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM for Plymouth
 KDE systemsettings module to manage plymouth theming.

## plymouth-kcm 5.15.4

=== debian/changelog ===
plymouth-kcm (5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:11:07 +0100

plymouth-kcm (5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:10:28 +0000

plymouth-kcm (5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:16:14 +0000

plymouth-kcm (5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:35:00 +0000

plymouth-kcm (5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:54:31 +0000

plymouth-kcm (5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:25:56 +0000

plymouth-kcm (5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:49:17 +0000

plymouth-kcm (5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:16:20 +0000

=== debian/control ===
Source: plymouth-kcm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               libkf5archive-dev (>= 5.54.0~),
               libkf5config-dev (>= 5.54.0~),
               libkf5configwidgets-dev (>= 5.54.0~),
               libkf5crash-dev (>= 5.54.0~),
               libkf5declarative-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5kcmutils-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5newstuff-dev (>= 5.54.0~),
               libplymouth-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.5.0~),
               qtdeclarative5-dev (>= 5.5.0~),
Standards-Version: 4.1.3
Homepage: https://www.kde.org
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plymouth-kcm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plymouth-kcm

Package: kde-config-plymouth
Architecture: any
Depends: plasma-framework (>= 5.54.0~),
         qml-module-org-kde-kquickcontrolsaddons,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM for Plymouth
 KDE systemsettings module to manage plymouth theming.

## plymouth-kcm 5.16.5

=== debian/changelog ===
plymouth-kcm (5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:25:49 +0100

plymouth-kcm (5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:46:32 +0100

plymouth-kcm (5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:23:49 +0100

plymouth-kcm (5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:24:45 +0100

plymouth-kcm (5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:26:18 +0100

plymouth-kcm (5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:37:28 +0100

plymouth-kcm (5.15.90-0ubuntu2) eoan; urgency=medium

  * Remove obsolete dbus policy file.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 21:12:50 +0100

plymouth-kcm (5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:50:30 +0100

plymouth-kcm (5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:49:23 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               libkf5archive-dev (>= 5.54.0~),
-               libkf5config-dev (>= 5.54.0~),
-               libkf5configwidgets-dev (>= 5.54.0~),
-               libkf5crash-dev (>= 5.54.0~),
-               libkf5declarative-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5kcmutils-dev (>= 5.54.0~),
-               libkf5kio-dev (>= 5.54.0~),
-               libkf5newstuff-dev (>= 5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
+               libkf5archive-dev (>= 5.58.0~),
+               libkf5config-dev (>= 5.58.0~),
+               libkf5configwidgets-dev (>= 5.58.0~),
+               libkf5crash-dev (>= 5.58.0~),
+               libkf5declarative-dev (>= 5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5kcmutils-dev (>= 5.58.0~),
+               libkf5kio-dev (>= 5.58.0~),
+               libkf5newstuff-dev (>= 5.58.0~),
                libplymouth-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),

## plymouth-kcm 5.18.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 project(plymouthkcm)
 
 cmake_minimum_required(VERSION 2.8.12)
-set(KF5_MIN_VERSION "5.29.0")
-set(QT_MIN_VERSION "5.5.0")
+set(KF5_MIN_VERSION "5.66.0")
+set(QT_MIN_VERSION "5.12.0")
 
 ################# Disallow in-source build #################
 
@@ -18,10 +18,10 @@
 
 ################# set KDE specific information #################
 
-set(PROJECT_VERSION "5.12.8")
+set(PROJECT_VERSION "5.18.4")
 set(PROJECT_VERSION_MAJOR 5)
 
-find_package(ECM 0.0.8 REQUIRED NO_MODULE)
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
@@ -31,12 +31,20 @@
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEClangFormat)
 
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui )
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
                     Archive NewStuff NewStuffCore KIO Declarative I18n Config ConfigWidgets)
 
+add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
+add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
+endif()
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 ################# Enable C++11 features for clang and gcc #################
 
 if(UNIX)
@@ -45,12 +53,13 @@
 
 ################# now find all used packages #################
 
-set (QT_MIN_VERSION "5.5.0")
-
 find_package(Plymouth REQUIRED)
-#########################################################################
 
 add_subdirectory(src)
+
+# add clang-format target for all our real source files
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
plymouth-kcm (5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:48:03 +0100

plymouth-kcm (5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:09:32 +0000

plymouth-kcm (5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:31:36 +0000

plymouth-kcm (5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:38:25 +0000

plymouth-kcm (5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:45:40 +0000

plymouth-kcm (5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:09:42 +0000

plymouth-kcm (5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:46:19 +0000

plymouth-kcm (5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:25:30 +0000

plymouth-kcm (5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:06:15 +0000

plymouth-kcm (5.17.2-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:51:30 +0000

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.58.0~),
-               libkf5archive-dev (>= 5.58.0~),
-               libkf5config-dev (>= 5.58.0~),
-               libkf5configwidgets-dev (>= 5.58.0~),
-               libkf5crash-dev (>= 5.58.0~),
-               libkf5declarative-dev (>= 5.58.0~),
-               libkf5i18n-dev (>= 5.58.0~),
-               libkf5kcmutils-dev (>= 5.58.0~),
-               libkf5kio-dev (>= 5.58.0~),
-               libkf5newstuff-dev (>= 5.58.0~),
+               extra-cmake-modules (>= 5.66.0~),
+               libkf5archive-dev (>= 5.66.0~),
+               libkf5config-dev (>= 5.66.0~),
+               libkf5configwidgets-dev (>= 5.66.0~),
+               libkf5crash-dev (>= 5.66.0~),
+               libkf5declarative-dev (>= 5.66.0~),
+               libkf5i18n-dev (>= 5.66.0~),
+               libkf5kcmutils-dev (>= 5.66.0~),
+               libkf5kio-dev (>= 5.66.0~),
+               libkf5newstuff-dev (>= 5.66.0~),
                libplymouth-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

## plymouth-kcm 5.19.5

=== debian/changelog ===
plymouth-kcm (5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:55:20 +0100

plymouth-kcm (5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:43:51 +0100

plymouth-kcm (5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 14:01:59 +0100

plymouth-kcm (5.19.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:47:09 +0100

plymouth-kcm (5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:42:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.66.0~),
-               libkf5archive-dev (>= 5.66.0~),
-               libkf5config-dev (>= 5.66.0~),
-               libkf5configwidgets-dev (>= 5.66.0~),
-               libkf5crash-dev (>= 5.66.0~),
-               libkf5declarative-dev (>= 5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
-               libkf5kcmutils-dev (>= 5.66.0~),
-               libkf5kio-dev (>= 5.66.0~),
-               libkf5newstuff-dev (>= 5.66.0~),
+               extra-cmake-modules (>= 5.70.0~),
+               libkf5archive-dev (>= 5.70.0~),
+               libkf5config-dev (>= 5.70.0~),
+               libkf5configwidgets-dev (>= 5.70.0~),
+               libkf5crash-dev (>= 5.70.0~),
+               libkf5declarative-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5kcmutils-dev (>= 5.70.0~),
+               libkf5kio-dev (>= 5.70.0~),
+               libkf5newstuff-dev (>= 5.70.0~),
                libplymouth-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),

## plymouth-kcm 5.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 project(plymouthkcm)
 
 cmake_minimum_required(VERSION 2.8.12)
-set(KF5_MIN_VERSION "5.66.0")
-set(QT_MIN_VERSION "5.12.0")
+set(KF5_MIN_VERSION "5.74")
+set(QT_MIN_VERSION "5.15.0")
 
 ################# Disallow in-source build #################
 
@@ -18,13 +18,13 @@
 
 ################# set KDE specific information #################
 
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.20.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
-set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
 
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
@@ -40,10 +40,7 @@
 
 add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
 add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
-endif()
+
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 ################# Enable C++11 features for clang and gcc #################

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 
 SET(PLYMOUTH_THEMES_DIR "/usr/share/plymouth/themes/" CACHE STRING "Where Plymouth themes are installed")
 SET(PLYMOUTH_CONFIG_PATH "/etc/plymouth/plymouthd.conf" CACHE STRING "where the main plymouth config file is")
-set(PLYMOUNT_KCM_VERSION ${PROJECT_VERSION})
 configure_file (config-kcm.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kcm.h )
 
 set(kcm_plymouth_SRCS
@@ -14,7 +13,7 @@
 
 target_link_libraries(kcm_plymouth
   KF5::CoreAddons
-  KF5::Auth
+  KF5::AuthCore
   KF5::I18n
   KF5::Declarative
   KF5::QuickAddons
@@ -32,7 +31,7 @@
 #this desktop file is installed only for retrocompatibility with sycoca
 install(FILES kcm_plymouth.desktop DESTINATION ${SERVICES_INSTALL_DIR})
 install(TARGETS kcm_plymouth DESTINATION ${PLUGIN_INSTALL_DIR}/kcms)
-install(FILES plymouth.knsrc DESTINATION ${KDE_INSTALL_CONFDIR})
+install(FILES plymouth.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
 
 kpackage_install_package(package kcm_plymouth kcms)
 
@@ -43,7 +42,7 @@
 
 target_link_libraries(kplymouththemeinstaller
     KF5::I18n
-    KF5::Auth
+    KF5::AuthCore
     KF5::CoreAddons
     KF5::Archive
     KF5::ConfigCore)
@@ -53,7 +52,7 @@
 add_executable(plymouthhelper helper.cpp ${helper_mocs})
 target_link_libraries(plymouthhelper
     KF5::Archive
-    KF5::Auth
+    KF5::AuthCore
     KF5::ConfigCore
     KF5::I18n)
 install(TARGETS plymouthhelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

=== debian/changelog ===
plymouth-kcm (5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).
  * Update lintian overrides.

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:54 +0900

plymouth-kcm (5.20.4-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Set upstream metadata fields: Bug-Submit.
  * Unregister the old /etc/xdg/plymouth.knsrc conffile.

 -- Pino Toscano <pino@debian.org>  Mon, 28 Dec 2020 11:43:18 +0100

plymouth-kcm (5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:38 +0900

plymouth-kcm (5.20.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.20.4).
  * Update build-deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:34 +0900

plymouth-kcm (5.19.5-3) unstable; urgency=medium

  [ Scarlett Moore ]
  * Remove obsolete fields from d/upstream/metadata already
    defined in d/copyright.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:24 +0900

plymouth-kcm (5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:43 +0900

plymouth-kcm (5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 18:52:51 +0900

plymouth-kcm (5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Update build-deps with the info from cmake.
  * Enable hardening.
  * Update upstream metadata.
  * Update d/copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 30 Aug 2020 07:53:33 +0200

plymouth-kcm (5.17.5-3) unstable; urgency=medium

  * Team upload.

  [ John Scott ]
  * Add Enhances: plymouth.

  [ Pino Toscano ]
  * Unregister the old /etc/dbus-1/system.d/org.kde.kcontrol.kcmplymouth.conf
    conffiles.
  * Remove not needed addons, and directives for the dh sequencer.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 20 Aug 2020 09:22:14 +0200

plymouth-kcm (5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 22:12:32 +0100

plymouth-kcm (5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
    - remove unused libkf5crash-dev
    - explicitly add gettext
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Remove empty line at the end of rules.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Jan 2020 12:29:29 +0100

=== debian/control ===
Source: plymouth-kcm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74.0~),
               gettext,
               libkf5archive-dev (>= 5.74.0~),
               libkf5config-dev (>= 5.74.0~),
               libkf5configwidgets-dev (>= 5.74.0~),
               libkf5declarative-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5kcmutils-dev (>= 5.74.0~),
               libkf5kio-dev (>= 5.74.0~),
               libkf5newstuff-dev (>= 5.74.0~),
               libplymouth-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma/plymouth-kcm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plymouth-kcm.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plymouth-kcm
Rules-Requires-Root: no

Package: kde-config-plymouth
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-kquickcontrolsaddons,
         ${misc:Depends},
         ${shlibs:Depends},
Enhances: plymouth
Description: KCM for Plymouth
 KDE systemsettings module to manage plymouth theming.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5

## plymouth-kcm 5.21.4

=== debian/changelog ===
plymouth-kcm (5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:11:20 +0100

plymouth-kcm (5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:36:43 +0000

plymouth-kcm (5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:14:15 +0000

plymouth-kcm (5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:07:49 +0000

plymouth-kcm (5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:23:27 +0000

plymouth-kcm (5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:46:31 +0000

## plymouth-kcm 5.22.5

=== CMakeLists.txt ===
project(plymouthkcm)

cmake_minimum_required(VERSION 3.16)
set(KF5_MIN_VERSION "5.82")
set(QT_MIN_VERSION "5.15.0")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "plymouthkcm requires an out of source build. Please create a separate build directory and run 'cmake path_to_plymouth_kcm [options]' there.")
endif()

set(PROJECT_VERSION "5.22.5")
set(PROJECT_VERSION_MAJOR 5)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(FeatureSummary)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
    include(KDEGitCommitHooks)
endif()

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
                    Archive NewStuff NewStuffCore KIO Declarative I18n Config)

find_package(Plymouth REQUIRED)

add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT -DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(src)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
plymouth-kcm (5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:51:23 +0200

plymouth-kcm (5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:44:41 +0100

plymouth-kcm (5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:08:15 +0100

plymouth-kcm (5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:57:05 +0100

plymouth-kcm (5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:59:45 +0100

plymouth-kcm (5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:12:24 +0100

plymouth-kcm (5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 09 Jun 2021 20:52:07 +0100

plymouth-kcm (5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:04:14 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 2.8.12),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               libkf5archive-dev (>= 5.74.0~),
-               libkf5config-dev (>= 5.74.0~),
-               libkf5configwidgets-dev (>= 5.74.0~),
-               libkf5declarative-dev (>= 5.74.0~),
-               libkf5i18n-dev (>= 5.74.0~),
-               libkf5kcmutils-dev (>= 5.74.0~),
-               libkf5kio-dev (>= 5.74.0~),
-               libkf5newstuff-dev (>= 5.74.0~),
+               libkf5archive-dev (>= 5.82.0~),
+               libkf5config-dev (>= 5.82.0~),
+               libkf5configwidgets-dev (>= 5.82.0~),
+               libkf5declarative-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5kcmutils-dev (>= 5.82.0~),
+               libkf5kio-dev (>= 5.82.0~),
+               libkf5newstuff-dev (>= 5.82.0~),
                libplymouth-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
